# Generated by Django 2.2.17 on 2021-01-12 05:27

import apps.accounts.managers
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('group_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='auth.Group')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
            ],
            options={
                'ordering': ('name',),
                'permissions': (('view_groups', 'View groups'), ('manage_groups', 'Manage groups')),
                'default_permissions': (),
            },
            bases=('auth.group',),
            managers=[
                ('objects', django.contrib.auth.models.GroupManager()),
            ],
        ),
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('email', models.EmailField(error_messages={'unique': 'The email is already in use.'}, max_length=254, unique=True)),
                ('first_name', models.CharField(max_length=32)),
                ('last_name', models.CharField(max_length=32)),
                ('title', models.CharField(blank=True, max_length=8)),
                ('date_of_birth', models.DateField(blank=True, null=True)),
                ('gender', models.CharField(blank=True, max_length=8)),
                ('phone_number', models.CharField(blank=True, max_length=16)),
                ('company', models.CharField(blank=True, max_length=64)),
                ('address_line1', models.CharField(blank=True, help_text='Street address, P.O. box', max_length=96)),
                ('address_line2', models.CharField(blank=True, help_text='Apartment, suite, unit, building, floor', max_length=64)),
                ('city', models.CharField(blank=True, max_length=32)),
                ('state', models.CharField(blank=True, max_length=32)),
                ('zipcode', models.CharField(blank=True, max_length=16)),
                ('country', django_countries.fields.CountryField(blank=True, max_length=2)),
                ('avatar', models.ImageField(blank=True, help_text='Use a 1:1 image for the best quality', upload_to='avatars')),
                ('is_active', models.BooleanField(default=True)),
                ('is_superuser', models.BooleanField(default=False, help_text='Grants all permissions')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('groups', models.ManyToManyField(blank=True, related_name='members', to='auth.Group')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'ordering': ('last_name', 'first_name'),
                'permissions': (('view_accounts', 'View accounts'), ('manage_accounts', 'Manage accounts')),
                'default_permissions': (),
            },
            managers=[
                ('objects', apps.accounts.managers.AccountManager()),
            ],
        ),
    ]
